package com.wechat.model.dto;

import java.util.Date;

import com.wechat.common.utils.DateUtils;

/**
 * 人才检索
 * 
 * @author jil
 *
 */
public class TalentRetrievalDto {

	private String userCode; // 用户code

	private String coName; // 酒店名称

	private String brandStr; // 品牌名称

	private String positionTitle; // 职位名称

	private Date firstWork; // 首份工作时间
	
	private String vipFlag; // vip标志

	private String experience; // 行业年限

	private String headImage; // 头像

	private String name; // 姓名

	private String foreignName; //外文名称

	private String identityFlag;
	
	private String education; //学历;

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getCoName() {
		return coName;
	}

	public void setCoName(String coName) {
		this.coName = coName;
	}

	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public String getExperience() {
		return experience;
	}

	public String getBrandStr() {
		return brandStr;
	}

	public void setBrandStr(String brandStr) {
		this.brandStr = brandStr;
	}

	public String getHeadImage() {
		return headImage;
	}

	public void setHeadImage(String headImage) {
		this.headImage = headImage;
	}
	
	public String getVipFlag() {
		return vipFlag;
	}

	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}

	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public Date getFirstWork() {
		return firstWork;
	}

	public void setFirstWork(Date firstWork) {
		this.firstWork = firstWork;
		this.experience = String.valueOf(DateUtils.getYearSub(firstWork,new Date()));
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

}
